"use strict";
// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License.
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
const inversify_1 = require("inversify");
const path = require("path");
const types_1 = require("../../common/platform/types");
const types_2 = require("../../ioc/types");
const contracts_1 = require("../contracts");
const pyEnvCfgFileName = 'pyvenv.cfg';
let VEnv = class VEnv {
    constructor(serviceContainer) {
        this.name = 'venv';
        this.type = contracts_1.InterpreterType.VEnv;
        this.fs = serviceContainer.get(types_1.IFileSystem);
    }
    detect(pythonPath) {
        const dir = path.dirname(pythonPath);
        const pyEnvCfgPath = path.join(dir, '..', pyEnvCfgFileName);
        return this.fs.fileExistsAsync(pyEnvCfgPath);
    }
};
VEnv = __decorate([
    inversify_1.injectable(),
    __param(0, inversify_1.inject(types_2.IServiceContainer))
], VEnv);
exports.VEnv = VEnv;
//# sourceMappingURL=venv.js.map